> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch run transcript evaluations

> Queue a batch of evaluations to run for the specified transcripts.



## OpenAPI

````yaml /specs/analytics/openapi.public.json post /v1/transcript-evaluation/queue
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-evaluation/queue:
    post:
      tags:
        - Transcript evaluation
        - Public-Docs
      summary: Batch run transcript evaluations
      description: Queue a batch of evaluations to run for the specified transcripts.
      operationId: TranscriptEvaluationPublicController_queue_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                projectID:
                  type: string
                  minLength: 24
                  maxLength: 24
                evaluationIDs:
                  minItems: 1
                  maxItems: 10
                  type: array
                  items:
                    type: string
                    minLength: 24
                    maxLength: 24
                transcriptIDs:
                  minItems: 1
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    minLength: 24
                    maxLength: 24
              required:
                - projectID
                - evaluationIDs
                - transcriptIDs
              additionalProperties: false
      responses:
        '201':
          description: >-
            One or more transcripts were successfully queued for evaluation. A
            warning will be returned if the per-project queue limit was exceeded
            including details of all skipped transcripts.
          content:
            application/json:
              schema:
                type: object
                properties:
                  transcriptCount:
                    type: number
                    description: >-
                      The total number of transcripts queued for one or more
                      evaluation.
                  evaluationCount:
                    type: number
                    description: >-
                      The total number of evaluations queued across all
                      transcripts.
                  warning:
                    description: >-
                      Returned when the per-project quota for queuing
                      evaluations has been exceeded.
                    allOf:
                      - $ref: '#/components/schemas/QueueTranscriptEvaluationsWarning'
                required:
                  - transcriptCount
                  - evaluationCount
        '429':
          description: >-
            No evaluations could be queued because the limit has been exceeded
            for this project. Retry after waiting for the time indicated in the
            response.
      security:
        - auth: []
components:
  schemas:
    QueueTranscriptEvaluationsWarning:
      type: object
      properties:
        type:
          type: string
          enum:
            - quota_exceeded
          x-enumNames:
            - QUOTA_EXCEEDED
        message:
          type: string
        skippedTranscriptIDs:
          type: array
          items:
            type: string
      required:
        - type
        - message
        - skippedTranscriptIDs
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````